Subject: Re: Inconsistent nullingrels due to oversight in deconstruct_distribute_oj_quals

From: Tom Lane <[email-masked]>
Date: Thu, 09 Feb 2023 10:55:56 -0500

Richard Guo <[email-masked]> writes:
> It seems to me there is oversight here.  Actually in next level up this
> othersj would null all the relids in its syn_righthand, not only the
> relids in its min_righthand.

Good point.  I think this code originated before it was clear to me
that nullingrels would need to follow the syntactic structure.

> This query would trigger the Assert() in search_indexed_tlist_for_var.
> So I wonder that we should use othersj->syn_righthand here.

There are two such calls in deconstruct_distribute_oj_quals ...
don't they both need this change?

			regards, tom lane